Subject: RE: Trusting the IESG to manage the reform process (was:Re:DoingtheRight Things?)

From: "Bound, Jim" <[email-masked]>
Date: Mon, 9 Jun 2003 14:40:58 -0400

I agree with Randy on its the grass below.

One fix would be to list all names of spec writers in drafts not just
the editor or first alphabetical name.

Also whats up with that new rule that went down that we can't list 10
authors.  I thought that was entirely bogus and don't recall an open
discussion on that at all it just was mandated and I thought that was
completely wrong.  maybe I missed the group that openly discussed that
change?

/jim

> -----Original Message-----
> From: Randy Bush [mailto:[email-masked]] 
> Sent: Sunday, June 08, 2003 8:41 PM
> To: Eric Rescorla
> Cc: [email-masked]
> Subject: Re: Trusting the IESG to manage the reform process 
> (was:Re:DoingtheRight Things?)
> 
> 
> > The IESG held TLS for nearly a year because they insisted 
> that their 
> > be a mandatory algorithm and that it be DH/3DES/SHA.  No 
> other group 
> > of 13 people in the IETF could have done that, no matter how big a 
> > stink they raised. In point of fact, 2 or 3 ADs could have 
> done this.
> 
> false.  the authors could have.  the editor(s) if they 
> existed could have.  the wg chair(s) could have.  respected 
> members of the security directorate could have.  ...  and my 
> guess, though i am not a security expert, is that they 
> probably SHOULD HAVE.
> 
> > I ask again: what incentives do the WGs have to produce 
> documents that 
> > meet the IESG's definition of quality?
> 
> as a multi-decade manager of O(20^(2-3)) engineers, i came to 
> the conclusion that 82.3% of whether an engineer produces 
> quality is whether they have pride in their work and their 
> team.  the classic hiring manager's joke about engineers is 
> that we ask "what is the project and with whom will i be 
> working.  ....  oh yes, my spouse told me to ask about salary 
> and benefits."
> 
> what keeps the cows in the pasture is the quality of the 
> grass not the height of the fence.  a fair portion of our 
> culture is weak on giving credit where it is due, saying 
> "this was maude's idea, not mine," etc.  when the culture was 
> smaller in number, it was easier for the work to be known by 
> the person(s) who produced it.  this is good and bad, 
> depending on whether the work is good or not so good (i will 
> resist examples:-).  if we spent more of our time praising 
> and encouraging the good work of our peers as opposed to 
> labeling them as idiots, black helicopter pilots, etc. 
> perhaps we all would take the necessary corrective 
> constructive criticism a bit better and the results would be better.
> 
> randy
> 
>

---

From: "Bound, Jim" <[email-masked]>
Date: Mon, 9 Jun 2003 14:49:49 -0400

Dave,

On this one and few issues I don't agree.  I agree with Eric we need
incentives.  And WGs must be free to experiment and reach for resolution
within reason to solve problems and do engineering design.  And I am
sorry but I have an issue with some group or unseen force dictating
anyting if they don't have the techncial expertise for that subject
matter.  I don't think that is what you stated but that could be the
outcome.

For example I have seen where an AD says to the WG I don't think this
group has that "expertise".  That is outright bullshit and bordering on
elitism I simply hate.  Thats why we get pissed at ADs too and in this
case we all knew far more than the AD technically on the subject they
were saying we did not have the expertise as base.  They were WRONG. We
did correct this behavior and statement in reasonable way I will add.
But it took time. And that should not have happen.  My point is I don't
have much use or support any elitism in our community.  

I am not say general direction is not good in fact it is. My fear you
know well with me from real life in the OSI days where architects in a
particular company built an entire architecture for networking and when
it got to engineering it simply was not implementable.  What I fear are
elistist architects who mandate technical policy who never wrote "hello
world/" as extreme example.  And worse yet never had a job where they
were responsible for "shipping" products.  I am not saying all should
have this background I am saying some resemblance of these attributes
should be part of the process.  Not just elitist architecture
pontification.

As side comment I saw yours and Haralds IPv6 discussion about deployment
with all due respect you don't know the half of it because your not
living it from my view but only discussing it.  People in WGs live it
not discuss it.

/jim

> From: Dave Crocker [mailto:[email-masked]] 
> Sent: Sunday, June 08, 2003 8:52 PM
> To: Eric Rescorla
> Eric,
> ER> I ask again: what incentives do the WGs have to produce documents 
> ER> that meet the IESG's definition of quality?
> 
> I think you just highlighted a key problem:
> 
> The IESG can and must provide a quality control mechanism.  
> But it is the community that must define the necessary quality.
> 
> And, yes, "the community" is a pretty darn fuzzy construct, 
> which is why we end up with each AD (and each IAB member) 
> defining their own criteria and applying them independently.
> 
> Still, we need to find reasonable, community based criteria 
> -- beyond just the criteria of the working group, so that it 
> represents a broader view -- with the IESG enforcing it, 
> rather than inventing it.
> 
> 
> d/
> --
>  Dave Crocker <mailto:[email-masked]>
>  Brandenburg InternetWorking <http://www.brandenburg.com>  
> Sunnyvale, CA  USA <tel:+1.408.246.8253>, <fax:+1.866.358.5301>
> 
>

---

From: "Bound, Jim" <[email-masked]>
Date: Mon, 9 Jun 2003 14:50:43 -0400

I agree with Randy again.

But how can me make them not wuss out.  Or what tools or policy can we
provide them.

/jim

> Sent: Sunday, June 08, 2003 8:59 PM
> To: Dave Crocker
> Cc: [email-masked]; Eric Rescorla
> -- beyond 
> > just the criteria of the working group, so that it represents a 
> > broader view -- with the IESG enforcing it, rather than 
> inventing it.
> 
> does not scale.  this is still the mode where the authors, 
> wgs, chairs, ... wuss out.
> 
> quality management 101: the philosophy of building quality 
> has to be pushed to the edges so it encompasses the whole 
> organization.
> 
> randy
> 
>

---

From: "Bound, Jim" <[email-masked]>
Date: Mon, 9 Jun 2003 14:53:51 -0400

time to approve is a problem.  can we agree on that?
/jim

> From: Eric Rescorla [mailto:[email-masked]] 
> Sent: Monday, June 09, 2003 1:15 AM
> To: Randy Bush
> Cc: Dave Crocker; [email-masked]
> Randy Bush <[email-masked]> writes:
> 
> > > The point I'm trying to make (and tried to make in SF) 
> was that it 
> > > seems to me that a rather small part of the variation in 
> how long a 
> > > document takes to clear the IESG is the quality of the document 
> > > (whatever that means).
> > 
> > and what substantiates that perception?
> Well, there's people's personal experience, of course, but as 
> we all know, the plural of anecdote is not data.
> 
> As I noted at the time, the variance of time-to-approve is 
> quite large, even for documents that are approved by the IETF 
> as-is. That's not completely inconsistent with document 
> quality, but if the documents that are taking a long time to 
> clear (>100 days) are really that low quality, it's somewhat 
> surprising that they aren't sent back for revision.
> 
> Do I have any totally convincing evidence? No. It's just my 
> intuition, combined with the lack of strong evidence to the 
> contrary.  However, to the extent to which people believe 
> that the quality effect is small then there's no incentive to 
> quality, regardless of whether it's in fact true. I of course 
> can't speak for what other people believe, though I imagine 
> that that would be relatively easy to discover without too 
> much complicated analyiss.
> 
> Really, 
> -Ekr
> 
> -- 
> [Eric Rescorla                                   [email-masked]]
>                 http://www.rtfm.com/
>

---

From: "Bound, Jim" <[email-masked]>
Date: Mon, 9 Jun 2003 15:04:44 -0400

Well put.  I would say its worst than middle management but "program"
management and that is even less authority.
/jim

> From: James Kempf [mailto:[email-masked]] 
> Sent: Monday, June 09, 2003 11:47 AM
> To: Randy Bush; Bound, Jim
> Cc: Margaret Wasserman; [email-masked]; 
> Brian E Carpenter
> Randy,
> > that is not the problem i see day to day.  what i see is chairs not 
> > wanting to take a stand against weak documents, ersatz 
> populism being 
> > easier, and preferring to let it through to ietf last call 
> and iesg, 
> > letting the iesg take the heat.
> >
> 
> Putting on my WG chair hat, it is not so simple. WG chairs 
> are essentially middle management, and they have all the 
> problems associated with responsibility without authority 
> that middle management has. In my experience, a WG chair that 
> tries to make a technical argument about a document is viewed 
> as being "just another WG member". WG members with different 
> opinions feel they can endlessly quibble with the chair, go 
> to the AD and complain that the chair is being "uncooperative 
> and blocking WG concensus", etc., if the chair says that they 
> won't release the document to the IESG. If the WG member 
> couches their opposition in terms of what the AD says or the 
> IESG may say, the resistence evaporates, because the IESG has 
> the ultimate authority to block the document. WG chairs only 
> authority is to hire and fire WG document editors, call 
> concensus, and prune the mailing list of people who are 
> really disruptive (at the cost of a long email exchange 
> beforehand to warn the person). They of course control the 
> agenda at meetings, but they need to be careful to be 
> evenhanded here, or risk being accused of bias.
> 
> If you think that WG chairs should have the authority to 
> block documents, then it needs to be explicitly written into 
> RFC 2418bis.
> 
>             jak
> 
>

---

From: "Bound, Jim" <[email-masked]>
Date: Mon, 9 Jun 2003 15:15:01 -0400

this is very useful thanks.  

The IESG has to much work.

This to me proves we need the SIR.

/jim

> From: Bill Fenner [mailto:[email-masked]] 
> Sent: Monday, June 09, 2003 2:34 PM
> To: [email-masked]
> >maybe we should look at the time to process through iesg and the
> >reasons we can find.  i do not claim to know any answer, but of
> >course have silly perceptions based on my narrow little view of the
> >movie.  so it would be really good to have some actual data.  would
> >be nice if bill, harald, or someone with time could find a way to
> >get something real on which we could base a discussion.
> 
> I just wrote a quick hack to analyze the data I have, and put the
> results at http://rtg.ietf.org/~fenner/iesg/docstates.txt .  There
> are two types of entries in this file - one for the first time
> we see a document in my snapshots, e.g.
> 
> 20020506        draft-ietf-ipngwg-rfc2292bis    entered 
> system in Requested
> 
> and then once for each time it changes state:
> 
> 20030312        draft-ietf-ipngwg-rfc2292bis    IESG 
> Evaluation -> Approved-announcement to be sent after 11 days
> 
> There is some noise in the data, like the tildes swapping with dashes
> in this example:
> 
> 20030426        draft-ietf-ipngwg-icmp-name-lookups     IESG 
> Evaluation ~~ Revised ID Needed -> IESG Evaluation  -- 
> Revised ID Needed after 170 days
> 20030525        draft-ietf-ipngwg-icmp-name-lookups     IESG 
> Evaluation  -- Revised ID Needed -> IESG Evaluation ~~ 
> Revised ID Needed after 29 days
> 
> but I'll wait for some evidence that cleaning up the data is desired
> or useful before putting more work into it.  (plenty of data, not
> clear if there's any information...)
> 
>   Bill
>